Subject: Re: bug#13004: 24.2; vc-diff from vc-log doesn't show diff before renames (for Mercurial backend).
From: Dmitry Gutov <[email-masked]>
To: Glenn Morris <[email-masked]>, Oleksandr Gavenko <[email-masked]>
Cc: [email-masked]
Date: Fri, 15 Dec 2023 23:09:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 30.1

On 26/11/2012 23:54, Glenn Morris wrote:
> Glenn Morris wrote:
> 
>> Sorry, I didn't read properly. You were talking about calling "diff"
>> from a log buffer. I still think using log -f may help, since otherwise
>> it presumably looks like there is nothing to take a diff of. Does it
>> help?
> Answering my own question, no.
> But what does
> 
> hg diff -r 214 -r 215 en-pronunciation_ru.rst
> 
> report for you?
> 
> For me, an equivalent diff command does not report any differences.
> So this looks like an hg issue, not an Emacs one.

It can be called an Hg issue, but it resembles Git in this: both 'diff' 
and 'blame' commands require the file names that feature in the revision 
asked about, not the "current" ones.

In the course of fixing bug#55871, I've also added Hg support, so now 
you should have a button at the end of the revision history, if the last 
commit contains renames, to show the log for the previous name(s).

Note that for this to work, "-f" should _not_ be in vc-hg-log-switches.

Closing, but feedback welcome.